谁能教教我怎么装软件!

为当前最终发行版之前的所有版本提供支持
回复
头像
greencoral
帖子: 147
注册时间: 2006-06-27 23:34
送出感谢: 0
接收感谢: 0

谁能教教我怎么装软件!

#1

帖子 greencoral » 2007-03-14 21:30

我知道用“新立得”可以装,
但是有一些软件是从网上下载下来的该怎么装呢?
我在网上找了一些资料看了。
比如http://www.pconline.com.cn/pcjob/system/linux/ ... 129_2.html
我下了一个软件,后缀是.tar.gz因该是源码安装吧。
我按照上面教材上解压了,但是后面有个
 gunzip soft1.tar.gz
  cd soft1
  #. /configure #配置#
  make #调用make#
  make install #安装源代码#
make是所么意思,看不懂(在第三页),我执行这个命令显示

bash: make: command not found

麻烦各位指点一下!
头像
greencoral
帖子: 147
注册时间: 2006-06-27 23:34
送出感谢: 0
接收感谢: 0

#2

帖子 greencoral » 2007-03-14 21:32

调用make是所么意思?不明白
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 karron » 2007-03-14 21:42

用源码安装对于新手来说比较麻烦,建议去找 deb ,run,bin之类的二进制包安装。
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
雕啸长空
帖子: 1897
注册时间: 2006-09-12 14:09
送出感谢: 0
接收感谢: 0

#4

帖子 雕啸长空 » 2007-03-14 21:51

K,用checkinstall做成的deb包有没有什么先天不足的地方?
Fair winds and following seas !
头像
goldfox_79
帖子: 1937
注册时间: 2005-10-16 8:26
来自: 地球
送出感谢: 0
接收感谢: 1 次
联系:

Re: 谁能教教我怎么装软件!

#5

帖子 goldfox_79 » 2007-03-15 3:33

greencoral 写了:make是所么意思,看不懂(在第三页),我执行这个命令显示

bash: make: command not found
make是编译源码是使用的命令,ubuntu默认安装时没有安装make,gcc这样的编译工具,所以系统提示你“command not found”。

要安装编译工具,在终端中输入命令
$sudo apt-get install build-essential
gegfried
帖子: 482
注册时间: 2006-06-29 17:30
送出感谢: 0
接收感谢: 0

#6

帖子 gegfried » 2007-03-15 8:02

使用源码安装的话,基本要自己解决依赖关系,如果看不懂编译时提示的依赖关系错误,也无法安装。
storein
帖子: 163
注册时间: 2007-03-05 16:52
送出感谢: 0
接收感谢: 0

#7

帖子 storein » 2007-03-15 9:27

哦,原来是没有默认安装没有 make gcc工具,难怪之前我想安装源码版的 fcitx 不能成功,现在明白了。
那安装了 make 和 gcc 可定就没有问题了
LZ不妨试验一下
sudo apt-get install make
sudo apt-get install gcc

然后再运行你上面得软件安装命令。
头像
greencoral
帖子: 147
注册时间: 2006-06-27 23:34
送出感谢: 0
接收感谢: 0

#8

帖子 greencoral » 2007-03-15 10:42

谢谢楼上的几位,我这就试试!
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#9

帖子 eexpress » 2007-03-15 11:18

是安装build-essential的包,就基本编译都有了。别单独安装。
只是make不知道的,别编译。源里面找现成的用吧。
● 鸣学
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#10

帖子 karron » 2007-03-15 12:35

雕啸长空 写了:K,用checkinstall做成的deb包有没有什么先天不足的地方?
起码没有依赖检查,不见得在别人机器上能够使用,不建议散布这样打的包.
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
头像
latteye
帖子: 218
注册时间: 2006-08-13 2:04
送出感谢: 0
接收感谢: 0

#11

帖子 latteye » 2007-03-15 13:08

有没有什么方法可以自己做成 带依赖检查的 deb呢?
头像
greencoral
帖子: 147
注册时间: 2006-06-27 23:34
送出感谢: 0
接收感谢: 0

#12

帖子 greencoral » 2007-03-16 16:55

是安装build-essential的包,就基本编译都有了。别单独安装。
只是make不知道的,别编译。源里面找现成的用吧。
源里面的确有很多软件,可是我不知道有些什么,或者怎么用什么的
在网上看到有介绍一些有意思的东西,下下来几乎都是tar.gz结尾的!
头像
xiehuoli
帖子: 5941
注册时间: 2006-06-10 8:43
来自: 中国 CS
送出感谢: 0
接收感谢: 2 次

#13

帖子 xiehuoli » 2007-03-16 17:03

greencoral 写了:
是安装build-essential的包,就基本编译都有了。别单独安装。
只是make不知道的,别编译。源里面找现成的用吧。
源里面的确有很多软件,可是我不知道有些什么,或者怎么用什么的
在网上看到有介绍一些有意思的东西,下下来几乎都是tar.gz结尾的!
你把它解压缩看看是不是DED包阿
年轻没有失败! ! ! ! ! !
噢!有怪兽,有怪兽!
回复

回到 “老旧版本支持”